#define INCL_PM
#include <os2.h>
#include <string.h>
#include <stdio.h>
#include "postos2.h"

EXPORT32 POSTCODE EXPORT16 RegisterMailClient (HWND hwnd, char* szMessage)
{
   WinMessageBox(HWND_DESKTOP,
                 HWND_DESKTOP,
                 "RegisterMailClient",
                 "Netscape Mail Test",
                 1,
                 MB_OK);
   return POST_OK;
}

EXPORT32 POSTCODE EXPORT16 UnRegisterMailClient ()
{
   WinMessageBox(HWND_DESKTOP,
                 HWND_DESKTOP,
                 "UnRegisterMailClient",
                 "Netscape Mail Test",
                 1,
                 MB_OK);
   return POST_OK;
}

EXPORT32 POSTCODE EXPORT16 OpenMailSession (char* pszProfile, char* pszPassword)
{
   WinMessageBox(HWND_DESKTOP,
                 HWND_DESKTOP,
                 "OpenMailSession",
                 "Netscape Mail Test",
                 1,
                 MB_OK);
   return POST_OK;
}

EXPORT32 POSTCODE EXPORT16 CloseMailSession ()
{
   WinMessageBox(HWND_DESKTOP,
                 HWND_DESKTOP,
                 "CloseMailSession",
                 "Netscape Mail Test",
                 1,
                 MB_OK);
   return POST_OK;
}

/* For sending mail - Page is the actual page data - It is not displayed */
/* In my message box. pszReference and pszXURl are unused right now  */
EXPORT32 POSTCODE EXPORT16 ComposeMailMessage (const char* pszTo,
                                     const char* pszReference,
                                     const char* pszOrganization,
                                     const char* pszXURL,
                                     const char* pszSubject,
                                     const char* pszPage,
                                     const char* pszCc,
                                     const char* pszBcc)
{
   char pszTemp[1024];
   sprintf(pszTemp, "This is where you would send mail:\n\nTo: %s\nOrganization: %s\nSubject: %s\nCc: %s\nBcc: %s",
   pszTo, pszOrganization, pszSubject, pszCc, pszBcc );
   WinMessageBox(HWND_DESKTOP,
                 HWND_DESKTOP,
                 pszTemp,
                 "Netscape Mail Test",
                 1,
                 MB_OK);
   return POST_OK;
}

EXPORT32 POSTCODE EXPORT16 ShowMailBox()
{
   WinMessageBox(HWND_DESKTOP,
                 HWND_DESKTOP,
                 "You would show your mailbox here",
                 "Netscape Mail Test",
                 1,
                 MB_OK);
   return POST_OK;
}

/* This displays a Message Center. */
EXPORT32 POSTCODE EXPORT16 ShowMessageCenter()
{
   WinMessageBox(HWND_DESKTOP,
                 HWND_DESKTOP,
                 "You would show a Message Center here",
                 "Netscape Mail Test",
                 1,
                 MB_OK);
   return POST_OK;
}

/* These are the names of the menuitems on the Communicator Menu */
/* You can use \t to put in an accelerator */
EXPORT32 POSTCODE EXPORT16 GetMenuItemString(ALTMAIL_MENU_ID menuID, char* lpszReturnBuffer, int cbBufLen)
{
   switch (menuID) {
      case ALTMAIL_MenuMailBox:
         strcpy( lpszReturnBuffer, "A Different Mailbox\tCtrl+2" );
         break;
      /* If you don't handle this one, there will be no Message Center
         pulldown - you might want that */
      case ALTMAIL_MenuMessageCenter:
         strcpy( lpszReturnBuffer, "A Different Message Center\tCtrl+Shift+1" );
         break;
   } /* endswitch */

   return POST_OK;
}
